<script setup>
import { ref } from 'vue';
import { useRouter, useRoute } from 'vue-router'
const router = useRouter()
const route = useRoute()

// #region (props)
// 
// #endregion

function handleTabChange(name) {
  router.push({ name })
}

const activeName = ref(route.name)
</script>

<template>
  <div class="w-full h-full">
    <div class="card mb-2">
      <el-tabs v-model="activeName" @tab-change="handleTabChange">
        <el-tab-pane label="考场排座" name="-KCPZGL-KCPZ-DETAIL-INDEX"></el-tab-pane>
        <!-- <el-tab-pane label="考场列表" name="-KCPZGL-KCPZ-DETAIL-KCLB-INDEX"></el-tab-pane> -->
        <el-tab-pane label="考生列表" name="-KCPZGL-KCPZ-DETAIL-KSLB-INDEX"></el-tab-pane>
      </el-tabs>
    </div>

    <router-view />
  </div>
</template>
